#define CATCH_CONFIG_MAIN
#include <catch2/catch.hpp>

#include <cstdlib>
#include <iostream>

#include <rdbxx/RDB.h>

TEST_CASE( "RDB Test Suite" ) {

    REQUIRE_NOTHROW( [&](){
                         RDB rdb1( std::getenv("RDB_TEST_FILE"), std::ios::in );
                         REQUIRE( rdb1.nComments( ) == 23 );
                         REQUIRE( rdb1.nColumns( )  == 51 );
                         REQUIRE( rdb1.nRows( )     == 61 );
                     } );
}
